Page MenuHomePhabricator

Sistersiteboxs are wired up to page issues when they shouldn't be
Closed, ResolvedPublic

Description

On category pages a certain template is misidentified as a "page issue"


http://reading-web-staging.wmflabs.org/w/index.php?title=Category:Beekeeping&mobileaction=toggle_view_mobile

Developer notes

Although the existing CSS selector for categories "mbox-small plainlinks sistersitebox" does not match what we classify an issue, when inserting the learn more and icon to an issue we target the .mbox-text-span - this selector should be localised to only elements that are issues

e.g.

} ).prependTo( '.mbox-text' );

becomes

} ).prependTo( '.mbox-text' );

Event Timeline

Jdlrobson triaged this task as Normal priority.Jun 19 2018, 10:52 PM
Jdlrobson created this task.

Change 441142 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Localise "learn more" and warning icon to issues

https://gerrit.wikimedia.org/r/441142

Change 441142 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Localise "learn more" and warning icon to issues

https://gerrit.wikimedia.org/r/441142

Jdlrobson reassigned this task from Jdlrobson to alexhollender.

Confirmed that the sistersitebox on http://reading-web-staging.wmflabs.org/w/index.php?title=Category:Beekeeping&mobileaction=toggle_view_mobile is no longer rendering an icon as if it were a page issue notice.

ovasileva closed this task as Resolved.Jun 25 2018, 11:02 AM

All done!

Vvjjkkii renamed this task from Sistersiteboxs are wired up to page issues when they shouldn't be to vmaaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed ovasileva as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: ovasileva; removed: gerritbot, Aklapper.
CommunityTechBot renamed this task from vmaaaaaaaa to Sistersiteboxs are wired up to page issues when they shouldn't be.Jul 2 2018, 11:41 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to ovasileva.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: ovasileva.